
(Jour 1, approche globale pour fixer les idées, survol rapide du plan du cours : hiérarchie de Chomsky, structure des agents
 (Langage et représentation pour appréhender le monde du quotidien
  (Afin d'intéresser les auditeurs, rapidement décrire le plan, la démarche globale et synthétique de ce cours
   (Le but est d'effleurer le sujet sans rentrer dans les détails ⊈pédogogie en spirale de l'EN⊉. §/parcour/goBreadth1rst.png)
   (Ceci peut se faire en communiquant au moyen du langage quotidien : celui utilisé pour décrire un agent qui vit, agit dans son monde. ) ) ) 
 (Pour la clarté de ce cours : définir quelques notions simples
  (Notion de simulation
   (C'est une réprésentation qui modélise bien l'entité représentée et le traitement qu'elle effectue ou subit : §/simula°/synop/a.png
    (Selon un point de vue statique, la représentation ressemble à l'objet cible : taille, forme, couleur... )
    (De façon dynamique, l'activité, le comportement, la personnalité de l'objet simulé ressemblent bien au modèle cible. §/simula°/grid/1.png) ) ) 
  (Représentation de l'agent situé : nous représentons l'agent en situation dans son monde
   (Quand on simplifie beaucoup, le monde se réduit à un support, par exemple : à un plateau. §/damier/red.png)
   (De même, un agent se réduit à une pièce. ici, par exemple : à gauche, le jeton carré. §/plateau/pionOnIt.png)
   ( - L'action sur le monde : sur le plateau, elle correspond à changer la position d'un pion. §/action/3.png)
   ( - L'activité sur ce plateau : une partie jouée ici se représente au moyen de plusieurs actions. §/mémétiq/JfMemSim/paysage.png) ) 
  (Pour nous, un robot, correspond à un ordinateur sur pattes. §/robot/u.png
   (C'est un ordinateur mobile, autonome, qui se déplace pour vivre, càd trouver de l'énergie et, ainsi, recharger ses batteries ⊈vie artificielle⊉.)
   (Apprentissage : il perçoit son monde et, capable d'analyse et de synthèse, il traite cette perception afin d'apprendre. §/learnŋ/hebb/6vMonitorTout.png)
   (Implémenté au sein de l'ordinateur, l'agent, un être abstrait, modélise/simule ce robot, qui est concret, car fait de matière.) ) 
  (Notion d'interprète §/interp/boucleDInterac°.png
   (Observons un robot qui s'active dans son monde : en fait, son comportement est guidé par les règles du programme qu'il interprète. §/interp/enInteracCumSonEnv.png) ) 
  (Aspect IA : Génération automatique du programme qui va diriger l'action
   (Pour nous, l'IA, ce sera le travail effectué par un ordi quand il apprend à guider, gouverner l'activité d'un agent situé dans son monde.) ) ) 
 (Domino : première modélisation d'une activité dans le monde ⊈séquence d'action⊉ §/domino/a.png
  (Introduction de cette notion importante : représentation de l'info FORMELLE & DIGITALE, càd NUMÉRIQUE
   (Une représentation se fait au prix de cette énorme simplification : pour cela, il faut passer de la réalité physique analogique, aux systèmes DIGITAUX, FORMELS)
   (Digital = numérique : à la base ces infos sont codées sous la forme de 0 & 1 ⊈vrai-faux, oui-non⊉
    (En effet, dans un ordi toute l'information est représentée en binaire càd au moyen de 0 & 1. §/octet/1o.png) ) 
   (Étymologie. formel vient de forme : càd donc le fonctionnement est basé sur sa forme ⊈shape⊉ : §/formel/cléSymbole.png
    (Pour comparer 2 symboles, on compare la forme ⊈la position : poussé-relâché⊉ de leurs digits. §/comparator/2x2OK.png) ) ) 
  (Application à la représentation de l'état du monde de l'agent
   (Commençons par une représentation statique. Note : dans un 1er temps, nous évitons de traiter un monde aussi riche que celui-ci : §/mond-ηDu/big1/5.png
    (En fait, pour représenter, nous simplifions outrancièrement : nous utilisons seulement quelques objets ⊈symboles⊉ finis pour décrire le monde ⊈son mobilier⊉. §/mond-ηDu/3.png) ) 
   (Représentation dynamique : implémenter l'action qui change l'état du monde :
    (À grosses mailles, càd sans distinguer changement d'état ou action : nous convenons que " la transition d'état représente l'action qui change l'état du monde ".
     (Comme sur un jeu de plateau, l'ordinateur bouge le pion qui, selon les règles, peut être joué. §/action/action.png) ) 
    (Quand l'agent exécute une tâche, il compose N actes sur son support, il déroule une séquence d'actions. §/séquence/o.png
     (En plus de cela nous introduisons un temps digital : une horloge rythme l'activité de l'agent. §/horloge/clock.png) ) ) ) 
  (Exemple pédagogique : de suite, introduisons le séquenceur : il illustre le changement d'état du monde. Voici 5 ex. de graphes communs : §/sequencer/régul/1.png
   (Malgré ces simplifications outrancières, il nous reste au moins un modèle qui peut nous servir d'exemple : le voyage Paris - Nantes : §/sncfWst/parisNant.png
    (Le monde, càd le mobilier du monde requiert au moins 5 villes : Paris, Chartres, Le_Mans, Angers, Nantes. §/sncfWst/baseFaits.png)
    (Le jeu de règles correspondant est : Paris→Chartres, Chartres→Le_Mans, Le_Mans→Angers, Angers→Nantes. §/sncfWst/parisNantTabl.png) ) 
   (Maintenant, sur le papier, faisons tourner ce petit exemple :
    (L'état de départ du monde : Paris.)
    (La séquence d'actions : Paris→Chartres→Le_Mans→Angers→Nantes. §/sncfWst/trainParisNantesSes°.png)
    (L'état final du système, du monde : Nantes.) ) ) 
  (En conclusion de ces définitions, on déduit 2 notions, applications : §/sncfWst/synthèGéné.png
   (Notion de programme : il est codé, écrit, sur le jeu de dominos. Il correspond aux règles de conduite qui gouvernent l'agent situé sur le support ⊈les séquences d'actions⊉.)
   (Notion d'IA : c'est quand l'ordi fabrique lui-même les dominos : ce faisant, il écrit, génère, code le programme qui gouverne son activité dans le monde simulé.) ) ) 
 (Épistémologie : philosophie des sciences
  (Appréhender le monde au moyen de représentations pour, ensuite, agir sur lui.
   (La représentation et le langage nous permettent d'avoir une emprise sur le monde, càd de l'appréhender, l'empoigner pour le manipuler, le travailler.)
   (Pour cette première leçon, voici une approche globale qui délaisse les détails. Ainsi elle est déjà compréhensible : ceci justifie sa place au début du cours.) ) 
  (Agir sur/dans le monde : l'agent y intervient, procède au moyen de l'action
   (L'action est efficace, elle change l'ordre, l'état du monde, càd les relations au sein du mobilier placé sur le support. §/netSémantiq/procès.png)
   (Important : fabriquer un domino = écrire une règle, c'est programmer
    (Écrire une règle, càd de rédiger les deux chiffres ou symboles sur chaque domino, relève de la programmation. §/sncfWst/synthèGéné.png) ) ) 
  (Aspect socio-économique de l'ère industriel :
   (Les inventions font évoluer les procédés industriels et induisent le progrès technique. §/révolu°Industry/machinisme/taille1lime.JPG
    (Dans ce cadre, analysons la position du gestionnaire : soucieux de rentabilité, il remplace l'homme par la machine, puis par le robot et l'IA.) ) 
   (Surfer sur la vague. Ce modèle économique est viable pour chaque entreprise innovante : §/vague/a.png
    (Celle qui domine son marché fixe les prix : ainsi, la marge qu'elle dégage amortit ses coûts de recherche et developpement... Et le cycle continue !) ) ) 
  (Aspect implémentation de l'informatique : comment l'ordi implémente-t-il l'action qui agit sur le monde ?
   (Rappel : il s'agit d'écrire les règles, càd les symboles sur les dominos... Et plus globalement de créer un jeu de N règles, N dominos. §/domino/SF3reglesVertic.png)
   (Aspect programmation de l'action : on utilise le langage qui sert à ordonner, à commander des actions.)
   (Présentation de 2 mécanismes simples de traitement de l'information ⊈du plus simple vers le plus puissant⊉ :
    ( - Le séquenceur, Ex : le jeu de domino. De bas niveau ⊈4⊉, il n'est même pas classifié par Chomsky. Pour la clarté, je le nomme 'JF4'. §/domino/partieY3Reg.png)
    ( - L'automate à état finis ⊈AF⊉, Chomsky le classifie au niveau 3, càd : '∫ky3'. L'ordi s'ouvre au monde, ceci induit la fin de son solipsisme. §/solipso/fin.png
     (Ce niveau introduit l'alternative, l'action conditionnelle que l'AF exécute. Ici apparaît clairement la notion d'ordre commandé au système. §/alternative/a.png)
     (En exécutant un ordre reçu, l'automate à états finis ⊈AF⊉ agit sur le monde. §/alternative/synthè.png)
     (Codage : pour ordonner à l'AF d'exécuter une séquence d'instructions, sur son ruban on écrit le programme, càd la suite d'ordres à effectuer. §/AFini/∫éma/ruban.png
      (Si l'AF est à Paris et qu'on lui commande la séquence : "0 1 4", il effectue le trajet : Paris→Chartres→Le_Mans→Rennes, et se retrouve à Rennes. §/alternative/Pa→Ch→Le→Re.png) ) ) ) ) 
  (Transition - Suite de la présentation de notre cours : ici nous avons une idée de la notion de code, alors faisons le lien avec l'IA. §/IA/JFL.png
   (Dans le cadre de l'IA, l'ordi génère lui-même du code. Ex avec Hebb : apprentissage d'un programme qui gouverne un cheminement : §/learnŋ/hebb/6vMonitor.bmp) ) ) 
 (Présenter le plan du cours : 2 directions successives : 1⊉ ⊈vu⊉ la classification de Chomsky, 2⊉ ⊈à voir⊉ une extension vers les agents. §/chomsky/a.png
  (Aspect théorique : d'abord la partie 1 du cours est structurée autour de la classification de Noam Chomsky. §/chomsky/moy.png
   (Introduction : en gros ce classement est effectué en fonction de 2 critères équivalents : la structure du processeur et la grammaire du langage qu'il reconnaît
    (Avertissement : ma pédagogie ADAPTE la hiérarchie de Chomsky, mais en fait, c'est anodin car il n'existe pas une stricte équivalence entre processeur et langage.) ) 
   (JF5, à part : le domaine de l'analogique ≠ digital numérique : celui des grandeur physiques qui varient continument. §/ana≠Logiq/tgHypParCompar.png
    (3 raisons d'en parler : situer la logique ≠ analogique, les notions de cybernétique ⊈réaction asservissement⊉, et hui, les réseaux de neurones, qui sont analogiques !) ) 
   (JF4 : le simple séquenceur ⊈ex : le jeu de dominos⊉. Exemple de règle : A→B. §/sequencer/schéma/a.png)
   (∫ky3 : automate à états finis². Ex d'une autre séquence, associée à une autre programmation : l'AF finit à Nantes. §/AFini/graph/Séquence.png)
   (∫ky2, automate à pile-réseau de transition récursif ⊈RTR⊉, récursivité : appel de S/programme, càd expanser une action vers N sous-actions. §/rtr/∫éma/1.png
    (Ex : valider la syntaxe d'une relative. §/rtr/Ana1phrRelatAngl/theManIsKind.png) ) 
   (∫ky1 : Catégorisation : la souplesse des variables permet la GÉNÉRALISATION §/parse/c.png
    (Classifier des êtres : dans le même type on met ceux qui présentent des caractéristiques communes. §/classify/clas.png)
    (Sur la base ce noyau commun, on exécute des actions semblables, mais qui peuvent différer au niveau du type des objets.) ) 
   (∫ky0 : c'est zéro ⊈0 heure consacrée à ce sujet⊉ :
    (C'est le pays contrasté, d'horribles hérésies, mais aussi celui, fascinant, de la machine universelle et de L'IA forte. §/turing/enigma2.jpg
     (Ex1 : assembleur, C, Lisp : le code s'auto-modifie. Attention DANGER, rarement nous traiterons ces sujets : qq mn = 0 heure ! )
     (Parfois nous l'effleurerons ∫ky0, en traitant de la conscience réflexive et du positionnement méta ⊈regard et action⊉... Sans trop aller plus loin. §/méta/aRC.png) ) ) ) 
  (Puis, la partie 2, sur les agents, est pratique :
   (Extension vers les agents
    (Elle décrit une progression de la gouvernance de leur activité, du plus simple au plus complexe. §/IA/JFL.png) ) 
   (Agents réactifs : au début, seulement des réflexes instantanés §/agent/0réactif/pion.png
    (Filtreur : cueillette statique càd un être immobile qui porte la nourriture à sa bouche.)
    (Cueilleur : gouvernance de son cheminement à la recherche de ressources. §/agent/0réactif/SeekFood.png) ) 
   (Agents récursif : avec l'intentionnalité qui apparaît, le comportement s'épaissit : appel à des sous-programes. voir 2 registres ≠ §/sikFood/graf/d.png
    (Le cueuilleur ⊈Colporteur autonome⊉ : capable de prendre et de poser : il transporte sur lui, dans des conteneurs ⊈ouverture de l'aspect pragmatique⊉.)
    (Agent intentionnel : extension par le temps et la mémoire : introduction d'une dimension séquentielle qui rythme, cadence l'activité de la journée. §/inten°/flag/6.png) ) 
   (Extension au groupe : l'union fait la force ⊈recherche de nourriture, protection contre les prédateurs⊉. §/agent/30Intn°/groupCoop/foodFinderCallsLes≠.png
    (Le groupe induit la communication : échanges par phéromones / langagiers ⊈groupe coopératif⊈artificiel/naturel⊉, Mémétique⊈transmet/Lamarck⊉⊉; §/mémétiq/JfMemSim/a.bmp)
    (En projet : le cycle des cueilleurs récursifs = migration saisonnière d'un groupe : un natriarche guide une troupe de cueilleurs selon un cycle Δ. ⊈sous but⊉ §/marNy/both.png) ) 
   (L'aRC : agent Rationnel Cognitif : magnifique mais très dur à traiter. §/aRC/arc.png
    (Nous l'évoquerons souvent, mais seulement en présentant son synoptique ⊈càd sans rentrer dans les détails⊉.) ) ) 
  (Les 3 ou 4 dernières séances : réseaux de neurones formels : §/neuralNet/leCun/3cx4relu.png
   (Ce cours est assez indépendant, mais les notions de culture générale sur l'IA étudiées dans le tronc central demeurent nécessaires pour l'aborder.) ) ) ) 