
(Introduction aux Systèmes Formels ⊈S.F.⊉ au moyen d'un jeu de dominos simplifié ⊈séquenceur-JFL4⊉
 (Aspect pédagogique
  (Présentation au moyen du jeu de dominos : §/domino/a.png
   (En fait, le jeu de dominos constitue déjà un SF. Mais pour illustrer le cours avec des séquenceurs, nous simplifions ses règles :
    (Pour que la partie reste séquentielle, chaque coup doit être joué à la suite du précédent. Pour éviter d'obtenir un arbre ou un réseau, ne pas recommencer à jouer ailleurs.) ) 
   (Plaquer le vocabulaire de l'agent situé sur les SF : nous utilisons la terminologie de l'agent situé pour présenter les SF. §/systemFormel/SF.png) ) 
  (Intérêt des séquenceurs pour une représentation séquentielle du monde
   (Un séquenceur est un SF où l'état du monde se réduit à un symbole.)
   (Dans notre jeu de dominos réduit, l'état du monde est donné par la queue du dernier domino posé.)
   (Au moyen de cette représentation, nous pouvons décrire, modéliser l'évolution du monde au fil du temps. §/simula°/grid/o.png) ) 
  (Quel est le compromis sous-jacent à cette démarche de représentation ?
   (Au départ, le monde physique réel que nous voulons représenter, est infiniment lourd et complexe
    (Le monde physique statique se représente en Relief, càd en 3 dimensions.)
    (Passer à une représentation séquencielle rajoute la dimension du temps. Le résultat obtenu présente 4 dimensions : ça devient très lourd.) ) 
   (Donc, en utilisant notre jeu de dominos ⊈le séquenceur⊉, nous faisons les deux grosses simplifications suivantes :
    (L'état du monde est seulement représenté : §/action/ac°Seqcr.png
     (1⊉ Après chaque changement d'état, càd que quand "ça bouge" ! )
     (2⊉ Au moyen du symbole attaché à sa case. §/agent/1Dcorridor/1.png
      (Dans ce corridor, les cases s'appellent : Case1, Case2 ... CaseN. Plus simplement, on les représente par les entiers : 1, 2 ... N.)
      (Avec le séquenceur, l'état du monde de l'agent se réduit à un symbole qui code sa position.) ) ) ) ) ) 
 (Aspect Historique : à la fin du XIXème, Hilbert, Russel, Whitehead, Péano... souhaitent refonder les maths sur des bases formelles.
  (À l'instar de la logique, toute cette reconstruction est principalement basée sur les S.F. et la théorie des ensembles. §/demoTheo/Refutation.png) ) 
 (Expliquer la notion de "représentation au moyen d'un symbole formel"
  (Intérêt de représenter le monde, son mobilier, ses entités actives
   (Le but est de se saisir de ces représentations pour les manipuler et raisonner avec au moyen de différents traitements : dérivation, généralisation, instanciation, simulation, planification ...) ) 
  (La notion de symbole
   (Selon la tradition grecque : le symbolon
    (À la fin d'une rencontre, deux amis qui se séparent, cassent un morceau de bois. Chacun en conserve précieusement un bout.)
    (Et, longtemps plus tard, quand ils se retrouvent, ils reconstituent cet artefact, pour symboliser la fidélité de leur amitié.) ) 
   (La définition compositionnelle de l'informatique :
    (Pour un ordinateur, un symbole correspond à une chaîne de caractères. §/symbol/fabrica°.png)
    (De même, un caractère se décompose en binaire ⊈0 ou 1⊉. La comparaison de deux caractères se fait en fonction de leurs formes. §/comparator/both.png) ) ) 
  (La notion de formel
   (Selon l'étymologie : qui tire son sens de sa forme ⊈shape⊉
    (Étymologie : à l'instar des 2 morceaux du symbolon qui coïncident parfaitement, formel est l'adjectif qui dérive de forme ⊈shape⊉.)
    (Pour simplifier disons que c'est à la forme qu'on reconnaît le symbole /§/formel/clefSymbole.png) ) 
   (Dans les jeux digitaux, le statut des pièces est formel : il est déterminé par quelques conventions de formes, couleurs et nombres
    (Aux dames, la forme des pions est identique, mais pour créer une dame, on empile deux pions. La couleur, blanc ou noir distingue les deux équipes.)
    (Aux échecs, on joue avec des pièces différentes, donc la forme compte : le roi possède une couronne, le cavalier copie la forme d'un cheval et celle de la tour est explicite.)
    (Dans un jeu de cartes, la forme est identique. Les dessins sont souvent différents et interviennent peu dans le statut de la carte. En fait ce sont surtout les lettres, les chiffres et les nombres qui comptent.) ) ) 
  (Extension de la définition de représentation ⊈pour les mondes plus riches⊉
   (⊈étymologie : re-présenter⊉ Dans sa mémoire, rendre à nouveau tangible une chose, un concept, au moyen du symbole correspondant qui prend son sens de deux façons :
    (Par son aspect formel utiliser dans l'opération de recherche en mémoire ⊈notion d'addresse en mémoire⊉.
     (L'opération de lecture en mémoire va rechercher l'information rattachée au symbole au moyen d'une opération formelle, càd basée sur sa forme : sur sa géométrie 3D §/arbre/classSensRefer/denote.png) ) 
    (La mémoire retourne l'information relative au concept. Elle peut être codée de deux façons :
     (1⊉ pour les objets concrets, cette info est codée par la forme : image ou dessin de l'objet ... un arbre réel est représenté en machine par son arborescence.)
     (2⊉ Mais on passe rapidement à une représention abstraite décrivant ⊈avec des mots⊉ les propriétés, relations et fonctions de l'être.) ) ) ) ) 
 (Le raisonnement formel : l'ordi se sert des représentations présentes dans sa mémoire pour les manipuler et raisonner sur elles.
  (Le séquenceur constitue un processeur de faible puissance : il peut seulement compter, impulser et séquencer.)
  (Les processeurs suivants sont de plus en plus puissants.) ) ) 