
(vu le séquenceur & l'AF : N notions d'info, en se référant au modèle de processeur fourni par l'Automate Fini ⊈AF⊉
 (Rappel : notion de procès = changement d'état du monde de l'agent : il est microscopique et élémentaire. §/domino/a.png
  (En effet, il s'exécute pendant un instant Δt, période de base de l'horloge qui cadence l'ordi. §/AFini/schema/a.png) ) 
 (Rappel : notion d'action = procès finaliste ⊈réalisé en fonction d'un but⊉ §/AFini/graph/sequence.png
  (L'automate exécute ''1 2 3 4 5'', ceci le mène de Paris à Nantes. 1, 2, 3, 4 et 5 sont donc des actions car elles sont codées pour réaliser un trajet.) ) 
 (L'ordre : il va du donneur qui commande, au receveur qui exécute le traitement prévu ⊈par le programmeur⊉
  (Pour exécuter un ordre, le receveur dispose, du savoir nécessaire qui est codé dans sa gouvernance, son programme comportemental.)
  (L'ordre, la commande, c'est le mot, la séquence qui, interprétée par l'exécutant ⊈AF, ordi⊉ déclenche le traitement/processus codé par le programmeur. §/AFini/graph/sequence.png) ) 
 (Approcher globalement la notion de 'programme' en se référer à la structure d'un processeur : l'AF
  (Position du problème : donner une définition synthétique de la notion de programme
   (Pour cela, nous nous référons à la structure de l'AF : il est classé ∫ky3⊉ §/chomsky/moy.png) ) 
  (Au niveau 'μ' ⊈microscopique⊉ du battement de l'horloge, une règle, une intruction élémentaire est un SAVOIR FAIRE
   (Elle explique comment exécuter le procès déclenché par un pulse d'horloge : il est instantané, circonstanciel et déterministe :
    (Instantané : il est exécuté pendant une période élémentaire Δt. §/sequcrEnrich/NextValida°Etn-µp.png)
    (Circonstanciel : l'ordi solipsiste quitte sa tour d'ivoire, s'ouvre au monde et effectue un procès contingent. §/solipso/fin.png
     (Note : le séquenceur ≠ l'A. fini, n'est pas circonstanciel, il n'agit pas en fonction de son environnement : )
     (Sa table 1D peut seulement dérouler une séquence. §/sequencer/schema/a.png) ) ) ) 
  (À un niveau macroscopique, le programme de l'analyste, du codeur est un ensemble, une somme Σ de règles d'action. §/program/Def°.png
   (Systématique : il recense, collecte l'ensemble de toutes les situations possibles et, en regard de chacune, fournit la ou les règles à appliquer correspondantes. §/program/arb.png)
   (Déterministe, en toute situation, il sait que faire. Cette formulation induit 2 contraintes : §/AFini/table/pasWrd_traError.png
    (Il n'existe pas une situation qui ignore quelle règle déclencher. Contre Exemple : la règle ⊈Nantes ⊉ §/in-determine/trou.png)
    (Il n'existe pas une situation où 2 règles peuvent se déclencher en même temps. ⊈CE⊉ : la fourche au Mans. §/in-determine/fork.png) ) ) ) 
 (Synthèse à propos de la notion de programme
  (Les 2 positionnements, métiers au regard des ordres donnés à l'ordinateur
   (Le fait à traiter maintenant
    (À chaque traitement, l'utilisateur/pupitreur lance une tâche ⊈batch⊉ : une séquence d'ordres ⊈ruban⊉ que l'ordi exécute interprète progressivement. §/AFini/schema/ruban.png)
    (Dans un environnement non-graphique ⊈en mode de commande⊉ le pupitreur indique le nom du programme à l'ordi : §/program/console.png)
    (Dans un environnement graphique ⊈ergonomique⊉ l'utilisateur indique à l'ordi quel programme exécuter en cliquant sur l'icone correspondante.) ) 
   (La base de règles
    (Sous la direction de l'analyste, le programmeur code la liste des instructions circonstancielles qui interprètent, exécutent cette tâche. §/AFini/ex/sncfWst/cumAna.png) ) ) 
  (Base de règles : face à un problème à traiter : le programmeur, l'analyste doit imaginer une procédure, définir un traitement chargé de le résoudre
   (La solution à ce pb est l'algorithme : une procédure trouvée par le codeur ou répertorié par la tradition, qui pilote un traitement, processus ⊈process⊉ qui le résoud. )
   (Un algo est un savoir ⊈cristallisé⊉ relatif au traitement d'un problème précis, donc tout ce comportement, codé dans un programme dédié, est figé.)
   (Structure de l'algo : c'est au moins une séquence de procès élémentaires : §/sequence/o.png
    (Ça peut être deux séquences conditionnelles A et B :
     (Au niveau d'une fourche, on effectue un test, et, selon le résultat, exécute A ou B. §/alternative/a.png) ) 
    (En fait, ça peut être toutes les structures imaginables, organisées selon une structure d'arbre ou de graphe : §/AFini/ex/convers°/Base2a10i.png) ) 
   (Ex d'un algo : un automate enrichi parcourt un graphe et déroule une séquence opportuniste. §/sikFood/graf/d.png
    (Il est ouvert au monde : au vu de ses capteurs, sa table à 2 entrées pilote un procès. §/AFini/schema/a.png) ) 
   (Note : un algo peut être seulement ∫ky3+. Ex : calcul des 2 racines du polynome " ax² + bx + c " réalisé au moyen de registres.) ) 
  (Le traitement à effectuer maintenant : ordre/commande passé, lancé par le pupitreur/utilisateur à l'ordi, et qu'il interprète de suite :
   (D'abord, le lancement du programme : de toutes façons, au départ il faut toujours lancer le programme
    (Ceci se fait en évoquant son nom, car le système d'exploitation a besoin de l'identifier pour le lancer ! §/sncfWst/syntheGene.png) ) 
   (Ensuite, la syntaxe de la commande peut varier : étudions les 2 cas typiques :
    (Cas 1⊉ Sur le système, on lance le programme. L'ordre donné comprend seulement ce seul nom, pourtant l'ordi se débrouille pour N raisons :
     (- Cas d'une simulation interactive d'agents situés. Sans plus de précision, depuis leur état initial, on les lance et les regarde interagir.)
     (- Cas d'un traitement routinier, très stable, où rien ne change : on effectue toujours le même. Ex : pour ce mois, payer les salariés d'une boîte.)
     (- Automate programmable : à la manière d'une carte électronique, il pilote un processus. Lancé au début de la session, on l'éteind à la fin.) ) 
    (Cas 2⊉ On lance le programme, puis on lui précise des paramètres : voici des exemples illustrant cet aspect :
     (- Usuel : au lancement de l'exe, on lui passe un paramètre. Ex : ''fact 3'' demande le calcul de la factorielle, pour la valeur 3. §/lisp/exec/nice.png)
     (- Au lancement du programme, on ajoute seulement un symbole. Ex : À un séquenceur, on doit fournir son état de départ :
      ( Ex : dans SncfWest, on lui donne la ville de départ : Paris. §/sncfWst/syntheGene.png) ) 
     (- On fournit une liste de symboles : Ex : l'AF reçoit un ruban à lire, qui dicte son chemin. §/AFini/ex/convers°/Base2a10.png) ) ) ) ) ) 