
(Application pratique : la plus petite machine artificiellement intelligente
 (Introduction de ce "sucre pédagogique" : le plus simple problème numérique du monde
  (Arrivés ici, nous avons déjà accumulé suffisamment de connaissances pour étudier un cas simple mais gratifiant.) ) 
 (Présentation physique
  (C'est une machine numérique
   (Et plus précisément, c'est même une machine binaire. §/ana≠Logiq/redresserBinar.PNG) ) 
  (Vue comme une boîte noire : nous devons chercher son synoptique : combien d'entrées ? Combien de sorties ? §/boitNoir/4in/2out.png
   (Les configurations qu'il nous faut rejeter :
    (Une boîte noire qui n'aurait ni entrée ni sortie n'a pas d'existance : ce n'est pas envisageable.)
    (Une boîte noire qui n'aurait pas de sortie serait sans effet : c'est l'agent solipsiste. §/boitNoir/1in/0out.png)
    (Une boîte noire qui n'aurait pas d'entrée et au moins une sortie, serait effective, mais ne serait pas contextuelle, adaptable. §/boitNoir/0in/1out.png) ) 
   (La plus petite configuration envisageable : elle possède une entrée et une sortie. §/boitNoir/1in/1out.png
    (Au moyen de son entrée, elle perçoit le monde. §/captor/percep1.png)
    (Au moyen de sa sortie, elle agit sur le monde. §/actionner/motor.PNG
     (§/actionner/a.png) ) ) ) ) 
 (Présentation électrique de cette machine
  (Préciser son mode de fonctionnement : c'est une fonction y=f⊈x⊉
   (Au vu de son entrée, elle doit fournir la réponse adéquate sur sa sortie.) ) 
  (Rappel : nous nous plaçons dans un cadre binaire ⊈manichéen càd blanc ou noir, mais où le gris n'existe pas⊉. §/ana≠Logiq/parasitRedressé.png
   (C'est une fonction logique/binaire à une entrée et une sortie : §/boitNoir/1in/1out.png) ) 
  (Analyse du problème
   (Les réponses faciles à voir : celles qui sont en relation avec l'entrée
    (Comme elle possède seulement une entrée, l'ensemble de tous ses modes de fonctionnements possibles est limité :
     (Soit, en sortie elle suit l'entrée : c'est un fonctionnement nommé 'suiveur'. §/logiqCombi/f°EtOuPas/SuiveurFonc°ment.png)
     (Soit, en sortie elle fait l'inverse de l'entrée : c'est un fonctionnement nommé 'inverseur' ou 'pas' ou non'. §/logiqCombi/f°EtOuPas/InverseursFonc°ment.png) ) 
    (Mais attention, il ne faut pas oublier les fonctionnements en générateur ⊈solipsiste⊉:
     (Sans tenir compte de l'entrée, au niveau de la sortie, seulement fournir un niveau 1 : §/boitNoir/0in/1outGéné.png)
     (Sans tenir compte de l'entrée, au niveau de la sortie, seulement fournir un niveau 0 : §/boitNoir/0in/1outMasse.png) ) ) ) 
  (Caractériser son mode de fonctionnement
   (En listant toutes les configurations possibles de son fonctionnement
    (Représentation concrète : §/boitNoir/1in/tousLesF°ment.png) ) 
   (Au moyen de l'outil nommé '' table de vérité '' :
    (C'est une représentation abstraite, difficile, mais nous y reviendrons à propos de la machine de Wilkes : §/machiAI/combin/4jointF°.png) ) ) 
  (Sélectionner la bonne configuration de fonctionnement
   (Hypothèse de constance du client : afin de simplifier notre travail, nous formons l'hypothèe de '' la constance du client ' :'
    (Il désire qu'on lui fournisse un des 4 fonctionnements typiques décrits précédemment ⊈sans changer d'avis⊉ .) ) 
   (Un aiguillage, càd un multiplexeur pour sélectionner le fonctionnement adéquat. /§/aiguiller/gareDeTri5→1.png
    (Au sein de la machine, nous allons potentiellement câbler les 4 fonctionnements possibles d'une boîte 1 entrée - 1 sortie.
     (Les 4 circuits fonctionnent en parallèle et, au niveau de leur sortie, fournissent le résultat. §/boitNoir/1in/tousLesF°ment.png) ) 
    (Un multiplexeur fonctionne comme la sortie d'une gare de triage : il permet de sélectionner une des voies d'entrée vers la sortie. §/aiguiller/gareDeTri4→1.png)
    (Cet aiguillage 4→1 permet de sélectioner un des 4 fonctionnements disponibles. Voir son principe de fonctionnement : §/aiguiller/f.png)
    (Application : nous l'utilisons pour sélectionner une des fonctions préalablement câblée. Finalement notre machine agit comme la fonction sélectionnée. §/machiAI/PP.png) ) ) ) 
 (Un problème étant donné, vu les indications du client, trouver la machine solution
  (Au moyen de la notion de 'réaction', améliorons la machine afin qu'elle devienne intelligente
   (Il faut qu'elle s'adapte à chaque situation nouvelle. Donc, ici, intervient la notion de 'feedback', càd de 'contre-réaction'. §/asservir/nivDeau/équilib/8.png)
   (Au vu de la réaction du client, il faut qu'elle sélectionne le bon circuit 'toute seule'. §/machiAI/mécanè/basic.png)
   (Le client doit s'exprimer : nous convenons du protocole suivant :
    (Quand il est mécontent du fonctionnement de la machine, il donne un coup de poing sur un bouton poussoir. Ceci produit à notre intention une impulsion. §/logiqFlipFlop/pulse.png) ) 
   (Voici globalement, le synoptique que nous allons implémenter : à chaque impulsion du client mécontent nous lui proposons la fonction suivante. §/machiAI/mécanè/sysÀ4f°.png) ) 
  (Implémentation de ce nouveau montage
   ( Ensuite nous utilisons un compteur d'impulsions que nous avons déjà rencontré : §/sequcrEnrich/divisrBy4.png
    (En voici le schéma électrique : §/divisrFréq/par4.png) ) 
   (Voici le chronogramme obtenu : §/logiqSéq/chronogram/divis°by4CumPoid.png)
   (Et sur notre machine AI nous utilisons un compteur binaire pour compter les impulsions du client. §/machiAI/électro/global4bit.png)
   (Et sur notre machine AI nous utilisons un multiplexeur binaire piloté par un compteur binaire. §/machiAI/cumDiv4.png) ) ) 
 (Où classer la plus petite machine intelligente ?
  (Au vu des réactions du client, elle fournit une fonction combinatoire 1→1.)
  (Elle ne rentre pas directement dans les cases car son synoptique est plus complexe.
   (Il y a du méta-regard là-dedans.)
   (Fonctionnement séquentiel
    (Il faut bien voir qu'elle fonctionne en séquentiel : elle comporte un multiplexeur qui aiguille, choisit un des traitements effectués par la boîte noire.) ) ) ) 
 (Conclusion
  (Insister sur le fait que la méthode est généralisable, mais, déjà, on se ramasse le mur de la combinatoire en pleine poire ! §/combinatoir/tacotDsMur.png
   (Machine à 1 entrée : §/machiAI/combin/1in→4f°.png
    (2 combinaisons possibles en entrées, pour chacune je dois dire ce que je fais ⊈0/1⊉ : 2^2 : §/machiAI/combin/4jointF°.png) ) 
   (Machine à 2 entrées : §/machiAI/combin/2in→16f°.png
    (4 combinaisons possibles en entrées, pour chacune je dois dire ce que je fais ⊈0/1⊉ : 2^4 : §/machiAI/combin/2in→16f°yTabVér1.png) ) 
   (Machine à 3 entrées : §/machiAI/combin/3in→256f°.png
    (8 combinaisons possibles en entrées, pour chacune je dois dire ce que je fais ⊈0/1⊉ : 2^8 : §/machiAI/combin/3in→256f°yTabVér1.png) ) 
   (Machine à 4 entrées : §/machiAI/combin/4in→65536f°.png
    (16 combinaisons possibles en entrée, pour chacune je dois dire ce que je fais ⊈0/1⊉ : 2^16 : §/machiAI/combin/4in→65536f°yTabVér.png) ) ) 
  (Savourez votre bonheur car je ne recommencerai pas tous les jours
   (La zone pédagogique JFL : entre trivialité et explosion combinatoire. §/combinatoir/zonePédago.png) ) 
  (Remarque : là où apparaît le mur de la combinatoire :
   (On peut essayer avec la force brute de l'ordinateur ⊈metal power⊉, Ex : IBM 'deep blue', puis 'deeper blue'. Ça suffit, mais, en général, c'est rapidement vain.)
   (Sinon il faut de la créativité, de l'intelligence, ou la finesse des niveaux méta.
    (Noter les résultats obtenus par Jacques Pitrat : son ''chercheur en IA trouve'', là où les autres logiciels croulent sous la combinatoire.)
    (Mais il faut noter qu'il travaille sur des domaines très spécifiques ⊈domaine mathématique de la logique, et des bijections. §/Pitrat/jp.png) ) ) 
  (C'est seulement maintenant que nous pouvons récolter le fruit de tous nos efforts préalables :
   (Après avoir fait tout ce travail, nous pouvons toucher du doigt tous ces nouveaux aspects que nous venons d'évoquer :
    (Rétro action, positionnement méta, mur de la combinatoire, force brute de l'ordi.) ) 
   (Déjà à ce stade, nous ne parlons plus en l'air : nous avons un peu compris, touché du doigt ces mécanismes fondamentaux de l'IA !) ) ) ) 