
(Intentionnalité, depuis le simple agent, à 1 seul digit analogique, jusqu'à l'agent Rationnel Cognitif ⊈aRC⊉
 (Progression pour introduire à l'intentionnalité de l'agent
  (Intérêt : voici une introduction douce à l'intentionnalité qui constitue un gros morceau. C'est donc un sujet à enseigner progressivement.)
  (Note : '' avoir l'intention de faire qqchose '' est une attitude propositionnelle, donc est intentionnel. Mais l'intentionnalité c'est PLUS que les projets planifiés par un agent.)
  (L'intentionnalité c'est le fait d'être à propos ⊈Brentano, Wittgenstein ⊈dans son Tractacus2⊉. Ex : les attitudes propositionnelles ⊈penser, croire, vouloir, craindre ...⊉.) ) 
 (Exemple 1 - l'agent pulsionnel est intentionnel :
  (Rappel : nous avons dit que :
   (Pour nous l'information c'est une représentation de notre monde. Donc une info est '' à propos du monde '', donc une info est intentionnelle.)
   (La plus petite information est un drapeau ⊈digit binaire⊉ : §/flag/fl.png) ) 
  (Donc un agent est 'intentionnel' dès qu'en son sein il entretient la moindre représentation de son monde ⊈même un simple drapeau⊉. §/agent/11puls°/inten°/vuEtaIntSwtBtw2f°.png) ) 
 (Ex 2 : où l'agent se représente le fonctionnement du monde par un monostable ⊈la temporisation d'une minuterie⊉
  (Implémentation : le niveau d'adrénaline représente l'intensité de son stress. Après une décharge en forme de pic, il décroit progressivement.
   (Le phénomène modélisé : le niveau de stress vécu est modélisé par une courbe y⊈t⊉ = exp⊈-at⊉.)
   (Méta-regard - perception et digitalisation du phénomène : le niveau de l'exponentielle est comparé à un seuil moyen de référence. §/exp/-.png)
   (Méta-action récursive au prorata du stress : y'=ay : la quantité d'adrénaline éliminée instantanément est proportionnelle à son amplitude. On obtient une décharge f⊈t⊉ = e^-θt.) ) ) 
 (Ex 3 : l'agent se représente le fonctionnement du monde par une temporisation au moyen d'une rampe y⊈t⊉ = at
  (Implémentation : comparer un seuil haut avec une charge à débit constant, càd une rampe montante. §/inten°/ax+b/rampASeuil.png
   (Le phénomène modélisé : l'état du monde observé est modélisé par une rampe à pente positive : un niveau analogique y⊈t⊉ = at. Ex : un mouvement uniforme.)
   (Méta-regard - la chose qui est analysée : le niveau de la rampe est comparé à un niveau de seuil : l'a-t-on atteint ?)
   (Méta-action : par une des règles. Quand le comparateur dit que le seuil de référence est atteint, elle déclenche un virage sur la gauche. §/inten°/ax+b/wayEstWst-cumTgToSud.png) ) 
  (Un agent AUTONOME ABSOLU : analogique sub-symbolique. y⊈t⊉= at+b
   (Une implémentation basée sur un modèle analogique et séquentiel de la fonction linéaire ⊈ou affine⊉
    (Le comportement de l'agent s'expanse, se déroule dans le temps car il est accroché à son modèle analogique du monde qui lui-même est séquentiel.)
    (Ceci permet d'induire un comportement séquentiel chez un agent qui continue à être réactif :
     (En effet, à chaque cycle Δt il teste instantanément sa rampe pour savoir s'il continue de boucler ou s'il arrête) ) ) 
   (Une référence absolue, càd qui n'est pas relative, pas contingente ⊈elle est indépendante de l'extérieur⊉.
    (Le fait de comparer le niveau d'une rampe ⊈montante⊉ INTERNE avec un seuil de référence interne permet de programmer une boucle séquentielle ABSOLUE,
     (- En effet, elle est seulement fonction des conditions internes à l'agent.)
     (- non contingente, elle se montre insensible aux perturbations extérieures.) ) ) 
   (Ex : l'agent doit avancer tout droit N fois, puis tourner à gauche dans le chemin vert. §/inten°/ax+b/wayEstWst-cumTgToSud.png
    (Dans cette application, l'agent n'a pas la perception du paysage, alors il utilise sa temporisation qui modélise sa position dans le monde. Elle lui permet de tourner au bon moment.) ) ) ) 
 (Ex 4 : le groupe d'agents myopes cherche sa pitance : l'agent se représente le fonctionnement du monde par un séquenceur ⊈un chenillard⊉
  (Décrire la situation : nourriture dispersée, chaque agent ne voit que la case devant lui. §/inten°/flag/groupCop/art/195cycleLater_diaspora.png)
  (Chaque agent est intentionnel et gère 3 drapeaux inter-exclusifs : famine & diaspora, ralier le trouveur, manger le repas.
   (Mais cette gestion n'est pas primaire, ils sont organisés en chenillard : chaque drapeau exclue les autres sauf son suiveur qu'il autorise §/compter/3etat.png) ) 
  (Mais un groupe organisé socialement en 3 activités successives : §/inten°/flag/groupCop/art/d300_CumArrow.png
   (A : diaspora pour une quête collective, B : rallier l'agent trouveur de nourriture pour : C : manger le repas. §/inten°/flag/oportunist/3Convergent.png) ) ) 
 (Ex 5 : l'aRC perçoit le monde qu'il représente par un modèle, réduit à une maquette : §/aRC/arc.png
  (Pas à pas, il peut y simuler son action, recouper sa perception avec sa méta analyse de sa situation. Ainsi il peut tourner au moment propice. §/simula°/synop/num°Int.png) ) 
 (Ex 6 : apprentissage transmission d'un itinéraire par le groupe
  (Préliminaire : 6PPV transmission cybernetique ⊈d'une gouvernance⊉ : piloter entre les obstacles §/learning/hebb/6ppv.png
   (Apprentissage Hebbien : le natriarche transmet un itinéraire à son étudiant. §/learning/hebb/1.bmp) ) 
  (Étapes intermédiaires pour une extension vers des attitudes plus riches
   (Exemple d'extension au groupe : §/learning/croiser/2temps.png)
   (Ex. d'une extension à une représentation plus riche : un trajet sur un réseau amorphe : §/learning/teachAWay/vuGene.png) ) 
  (Extension vers un problème typique ⊈JFL⊉ : le domaine de l'agent cueilleur Δ ⊈triangulaire⊉
   (Introduction : ce documentaire extraordinaire filmé en infra-rouge sur les migrations des éléphants pour ralier les points d'eau pendant la saison sèche :
    (Évoquer quelques mots clès pour déclencher les explications intéressantes : mâles, matriarche&filles, danger : fauves - emprise des hommes, mémoire transmission, solidarité...) ) 
   (∫k1 : Il s'agit d'apprendre plusieurs règles, chacune d'elles pilotant une boucle ⊈dans cet exemple : sur chacun des 3 côtés du triangle⊉)
   (Sur chaque côté du triangle, la boucle est de la forme : répéter une action jusqu'à ce qu'une condition soit satisfaite. Cette condition est implémentée sous 2 formes : logique ou analogique
    (analogique : tourner dans la boucle 'avancer' jusqu'à atteindre un seuil niveau clé, où y⊈t⊉=seuil.)
    (Symbolique : tests sur l'état du monde, càd les entités dans l'environnement de l'agent.
     (Ex1 : avancer et boucler jusqu'à la perception d'un repère ⊈arbre, rocher, fontaine...⊉. )
     (Ex2 : suivre un itinéraire matérialisé ⊈route, chemin, mur, rivière...⊉ et boucler tant qu'on continue de le percevoir. ) ) ) ) 
  (Précisons le déroulement de cette transmission culturelle qui s'étale au fil du temps
   (Au début : le jeune agent se tient derrière et suit le groupe instinctivement : ça demande seulement un traitement de l'info très simple ⊈agent réactif⊉.)
   (Progressivement, en tant qu'aRC, il apprend toutes les règles clés. Et, alors que les anciens disparaissent, il remonte le groupe vers la tête.)
   (À la fin, si l'adversité lui prête vie, il se retrouve en tête, et devient natriarche ⊈implicite⊉ et guide le groupe.) ) ) ) 