
(Mise en œuvre du système expert sous lisp ⊈installation - lancement⊉
 (Installation de clisp puis du système expert en chaînage-avant
  (L'installation de clisp depuis la ligne de commande est très facile :
   (sudo apt-get update // classique pour mettre à jour linux avant d'installer)
   (sudo apt-get install clisp // classique pour installer, et ça se passe très bien.) ) 
  (L'installation de mon moteur d'inférence en chaînage avant, est encore plus simple :
   (il suffit de décompresser le fichier 'clispMotCav' ⊈si possible au niveau de la racine⊉.)
   (Le code proprement dit du moteur d'inférence se reduit au fichier '11mixtTraUnif-backTrack.lsp' dans '/home/jf/clispMotCav/motor/mixtTraUnif-backTrack'.)
   (Donc, en fait pour installer notre moteur, il suffit de dupliquer ce fichier là où on veut, ce qui est très souple.) ) 
  (Après cette rapide Installation, quels fichiers trouve-t-on sur le disque dur
   (En ligne de commande : code exécutable pour faire tourner clisp
    (Sur la console, quand clisp est installé, si on demande 'which clisp' on obtient la réponse : /usr/bin/clisp // classique aussi.) ) 
   (Code interprétable pour faire tourner sous clisp, 'clispMotCav' mon moteur d'inférence en chaînage avant,
    (Le moteur de base, le plus simple est dans : /home/jf/clispMotCav/motor/mixtTraUnif-backTrack/ §/systExpert/coeur.png
     (Aujourd'hui il se nomme : '11mixtTraUnif-backTrack.lsp'.)
     (Comme son nom l'indique, en plus du fonctionnement en moteur classique, on peut paramétrer 2 fonctionnements supplémentaires :
      (Le bactrack : en cas de règles non déterministes : §/backtrack/recJeuDeRegParisNantes.png
       (Sa mise en œuvre se fait au moyen d'un drapeau qu'on positionne par une commande lisp : ⊈setq backtrack t⊉ §/backtrack/parcrArbAll.png) ) 
      (le traçage des opérations d'unification :
       (Pour cela, il faut décommenter les lignes 137 à 139, càd les lignes : print list & terpri.)
       ("la tête de règle " PARIS "≡" "la branche de l'arb fait Ұ" PARIS "résu→□" NIL.) ) ) 
     (De plus, en cas de problème de pile, ; la profondeur maximale de la récursion se règle ligne 31 dans ⊈mouline arbre BasReg 1000⊉ ) ) ) 
   (Note : pour les cas qui demandent de la précision, on peut tracer finement l'exécution du progamme en utilisant un autre moteur :
    (traceMotor)
    (Quand utiliser ce traçage plus fin mais plus lourd ?
     (Utilisation pédagogique :
      (Pour explique comment le code lisp implémente le fonctionnement d'un système-expert.)
      (La chose se voit bien quand on analyse l'application d'une règle.) ) 
     (Utilisation pour le développement, la maintenance du moteur d'inférence.
      (Quand il faut bien saisir le fonctionnement du moteur d'inférence §/systExpert/vueGlobal.png
       (Pour corriger un bug.)
       (Pour rajouter une fonctionnalité au moteur.) ) ) ) ) ) ) 
 (Décrire en entier toute la séquence de lancement càd lisp + moteur
  (Dans quel ordre doit se faire le lancement
   (Vu que le moteur d'inférence est implémenté en Lisp, il faut lancer ce dernier en premier.) ) 
  (Lancement de lisp ⊈ici clisp⊉
   (Si on ne se souvient plus où est installé clisp, en mode de commande on demande : ''which clisp''.)
   (On obtient la réponse : /usr/bin/clisp)
   (Donc, depuis la racine, on lance : /usr/bin/clisp)
   (Et on obtient la fenêtre d'accueil : §/lisp/clispDeb.png) ) 
  (Méthode JFL pour developper un exemple d'application d'un SE ⊈dans un domaine donné⊉
   (Rappel : un SE se caractérise par 3 éléments : moteur d'inférence, Base de règles, base de faits. /§/systExpert/coeur.png
    (Le moteur d'inférence est définitif car livré par le fournisseur.)
    (Base de règles est dédiée au domaine d'expertise. Elle demeure tant qu'on s'y cantonne.)
    (La base de faits est éphémère car dédiée au cas à traiter. Elle est délaissée dès qu'on passe au cas suivant.) ) 
   (Chaque exemple d'application d'un SE détermine un jeu de règles car c'est le lieu stable qui demeure quand on traite un domaine donné.)
   (D'où, la méthode JFL pour developper un exemple d'application d'un SE dans un domaine donné est :
    (Créer un dossier dédié à ce domaine d'application donné.)
    (Dans ce dossier
     (Créer un fichier où on écrit un jeu de règles relatif au domaine. Ex : pour la multiplication : JoliJeuDeRegPourMultiplier3x4_01.lsp)
     (Copier le fichier 11mixtTraUnif-backTrack.lsp)
     (Lancer lisp : '/usr/bin/clisp'.)
     (Sous lisp charger le moteur : ⊈load "JoliJeuDeRegPourMultiplier5x6_01.lsp"⊉)
     (Sous lisp, lancer l'exécution du fichier ⊈load "11mixtTraUnif-backTrack.lsp"⊉) ) ) ) ) ) 