
(Ordi↔IA : moins un procès opère en restituant sa mémoire, moins il est rigide, plus il est souple, adaptable, intelligent
 (Introduction
  (D'abord, on survole le domaine de l'ordi puis de l'IA pour présenter et situer leur démarche respective
   (Dès aujourd'hui, on va déjà commencer à travailler : introduire quelques notions, survoler le domaine pour que vous ayez une idée de la démarche .) ) 
  (Un point d'histoire de l'IA : 56 McCarthy. §/lisp/McCarthy.png
   (1956, Dartmouth College ⊈New Hampshire⊉, McCarthy : congrès fondateur de l'IA. §/lisp/exec/nice.png)
   (Le congrès travaille à une première définition de l'IA ⊈qui en fait, est circulaire-récursive⊉ :
    (L'ordi effectue des traitements qui seraient qualifiés d'INTELLIGENTS s'ils étaient réalisés par l'homme §/fractal/chngScale/SierpinskyCube.png) ) ) 
  (Introduisons quelques points de VOCABULAIRE
   (Partons de la notion de ROBOT, qui est concrète
    (Dans le monde réel, c'est le robot autonome qui survit dans un labo. Dans ce labyrinthe de salles et de couloirs, il se déplace en évitant les obstacles afin de rallier les prises de courant où il peut se recharger pour sa pérennité.) ) 
   (Puis, du robot, on passe à la notion d'AGENT SITUÉ, qui est abstraite : §/agent/00Situe/a.png
    (C'est la représentation formelle et généralisée de notre robot :
     (Un agent situé dans son monde, évolue sur un support au milieu du mobilier afin de collecter de la nourriture pour survivre et se reproduire.)
     (Puis, plus tard dans le cours, pour N raisons ⊈monde régulier, tamponnage, déïctiques, variables⊉ nous verrons que :
      (L'activité de l'AS est libre, ouverte, généralisable. Et ainsi, elle devient programmable par des actions.) ) ) ) 
   (Introduisons une connaissance technique : le fonctionnement de la mémoire qui RESTITUE ce qu'elle a enregistré. §/diedre/3D/Col+.png
    (En REGROUPANT 8 digits binaires en parallèle, on fabrique un OCTET ⊈byte⊉ qui peut coder un caractère ASCII. §/octet/1o.png)
    (Un nombre est formé en concaténant plusieurs chiffres... de la même façon que N caractères forment un SYMBOLE. §/symbol/fabrica°.png)
    (Une mémoire fonctionne en RESTITUTION : §/registre/contenu-ner.png
     (Elle rend, retourne l'information qu'on y a enregistrée. §/rom/lit1adres.png) ) ) 
   (Introduisons un personnage : Noam Chomsky §/chomsky/a.png
    (Connu pour ses interventions politiques : soutien aux indignés ⊈2013⊉.)
    (Connu en info : il a montré que la programmation récursive peut ANALYSER LA SYNTAXE du LN ⊈langage naturel⊉.
     (La méthode du parsing implémentée au moyen de règles déclaratives. §/parse/c.png) ) 
    (Connu en info pour avoir élaboré une CLASSIFICATION des types processeurs ⊈et des langages qui vont avec⊉. §/chomsky/moy.png) ) ) ) 
 (Présenter les 3 profils de fonctionnement de l'ordi ⊈détaillé + tard⊉ : la MÉMOIRE RESTITUE, l'ALGO TRAITE, l'IA RÉFLÉCHIT
  (Jf4⊉ Procès fermé, pauvre, rigide : le SÉQUENCEUR restitue sa mémoire au moyen d'une table. §/tab/7coRW.png)
  (2⊉ Procès mixte intermédiaire du calculateur ∫ky2/3 : CIRCONSTANCIEL-CONTINGEANT...
   (Il traite les évènements, suit les étapes de l'algo que le programmeur a défini. §/AFini/ex/convers°/base2a10.png) ) 
  (3⊉ Les procès ∫ky0/1 ouverts, riches, souples : pour gouverner, en apprenant un comportement/programme, l'IA crée une activité nouvelle.) ) 
 (DÉTAILLER CES 3 PROFILS DE FONCTIONNEMENT DE L'ORDI :)
 (1⊉ Jf4 : trois exemples de fonctionnement fermés/rigides, pauvres, où la MÉMOIRE RESTITUE son CONTENU, enregistré dans une table
  (1⊉ Le dico : mémoire restituant le contenu correspondant à la clé d'entrée ⊈intemporel : pas de séquence⊉. §/tab/romAscii.png
   (On obtient une restitution au coup par coup càd statique ⊈Jf4⊉. §/tab/parisNantes.png) ) 
  (2⊉ jf4 AJOUTE la pulsation du TEMPS. Le séquenceur ⊈enrichi d'acti° sur le monde⊉ pilote un procès. §/sequence/2seq.png
   (Ce procès aveugle ⊈solipsiste⊉ fournit une séquence dynamique càd augmentée d'une dimension TEMPORELLE. §/sncfWst/syntheGene.png)
   (Il peut être ENRICHI D'ACTION : minuteur de cuisine, boîte à musique, came de la machine à laver ⊈linge ou vaisselle⊉. §/sequcrEnrich/minuter.png) ) 
  (3⊉ ∫ky3, CONTINGEANT, traite un problème circonstanciel : le programmeur imagine une procédure, écrit un algo chargé de le gérer/résoudre
   (La solution à ce pb est l'ALGO, la PROCÉDURE : trouvé par le codeur ou répertorié par la tradition, il pilote un traitement ⊈process⊉ qui le résoud. )
   (FIN DU SOLLIPSISME, avec l'alternative, le process devient circonstanciel : l'ordi s'ouvre et agit en fonction de sa perception. §/solipso/fin.png)
   (Un algo est un savoir ⊈cristallisé⊉ relatif au traitement d'un problème, donc ici, tout ce comportement, codé dans une table 2D, est figé.)
   (Ex d'un algo : un automate enrichi parcourt un graphe et déroule une séquence ADAPTÉE car opportuniste. §/sikFood/graf/d.png
    (Il est OUVERT AU MONDE : au vu de ses capteurs, sa table à 2 entrées pilote un procès. §/AFini/schema/a.png) ) ) 
  (Conclusion : ces 3 ex fonctionnent pauvrement, sans ampleur : au max ⊈∫ky3⊉, leur graph comprend des embranchements
   (Dans ce domaine ∫ky3 on peut rencontrer des branchements ⊈alternative⊉,
    (Mais pas de call s/P ⊈appel de sous programme⊉, or c'est ça qui donnerait de l'ampleur au process. ) ) 
   (Donc, avec l'automate, pas d'appel de sous-programme, donc ni souplesse, ni réusabilité du code.) ) ) 
 (2⊉ Enfin la RÉCURSIVITÉ : on franchit le gué et voici le calculateur⊈∫ky2⊉, puis l'ordi⊈∫ky1⊉ : §/chomsky/moy.png
  (∫ky2, des briques élémentaires pour réutiliser le code ; ceci s'obtient au moyen d'une table 3D. Attention, ça devient lourd ! §/rtr/schema/simpl.png
   (Avantages
    (Ajoûter une pile étend les procès : ils deviennent récursifs. Chomsky utilise cet outil pour analyser la syntaxe du LN ⊈langage naturel⊉.)
    (L'automate à pile ⊈intentionnel=à états internes⊉ déroule un algo qui boucle sur des procès.)
    (Productivité de cet outil : on peut définir des briques élémentaires pour coder les procès communs et ensuite les réutiliser.)
    (Ex : si j'explique à mon robot comment ranger mon couteau, je peux lui demander de le faire, matin, midi et soir ⊈sans devoir reprendre à 0 les explications⊉.) ) 
   (Inconvénients de ∫ky2 ⊈par rapport à ∫ky1⊉
    (Cet outil est rigide : il ignore le concept d'outil universel, donc il ne peut pas généraliser :
     (Je peux lui expliquer comment ranger un couteau, cependant, si je dois ranger un verre je dois recommencer mes explications à propos du rangement. ) ) ) ) 
  (∫ky1, universalité des outils : muni de variables ⊈puis de contextes⊉, l'ordi est suffisamment souple pour traiter les informations
   (Expliquer le terme "outil universel" par l'exemple : §/teneur/a.JPG
    (Preneur universel : la main, la pince, l'étau, le mandrain.)
    (Conteneur universel : la main, le sac, le coffre, le panier.) ) 
   (Vocabulaire : expliquer le terme "contexte"
    (Autres exemples de représentations comportant des variables contextuelles :
     (Le traitement du LN : j'ai vu Paul. Il s'est blessé. Jane l'aidait à marcher. Ils sont allés au pub. §/contxt/txt.png)
     (Lisp, un langage de programmation récursif : dans ce calcul, le contexte est propagé en cascade.
      (Dans cette descente, progressivement, on épuise la variable. §/lisp/exec/nice.png) ) ) ) 
   (Toujours rigide : mais encore un fonctionnement où l'ordi qui traite des infos, suit le programme enregistré dans sa mémoire.
    (Le programmeur fournit l'algo à l'ordi
     (L'ordi ne peut fonctionner que si on le programme càd que si lui donne la solution.)
     (Le codeur doit fournir à l'ordinateur un algorithme, un programme détaillant la procédure à exécuter pour effectuer le traitement.) ) ) 
   (Tirer une conclusion : à mi-chemin entre intelligent et pauvre d'esprit
    (La souplesse de l'algo muni de variables suggère un début d'intelligence
     (Conservant la récursivité de ∫ky3, en plus l'algo qui utilise les variables, devient un outil souple, adaptable : il est capable de s'adapter et traiter bien des problèmes.)
     (Comme il est souple, adaptable, alors on pourrait penser qu'il est intelligent.) ) 
    (Mais on ne trouve pas grand chose dans cette petite tête : l'ordi algorithmique est minimaliste
     (Inculte, creux, il ne possède qu'une vision partielle du domaine. Il est loin d'être conscient de lui-même.)
     (Malgré ça, il réussit à effectuer le traitement demandé car le codeur lui donne quelques points clés, repères subtils, informations clivantes
      (Ça lui permet de reconnaître les situations typiques et ainsi d'effectuer le traitement nécessaire correspondant.) ) ) 
    (Dans cette relation homme-machine, c'est le programmeur qui est intelligent
     (L'ordi algorithmique n'est qu'un suiveur
      (Où l'ordi suit l'algo enregistré dans sa mémoire pour piloter une procédure.)
      (Mais pour réussir ce traitement, l'ordi doit systématiquement suivre les instructions de l'algo.)
      (Ce processeur effectue ce traitement servilement, mais ne comprend rien à ce qu'il fait. La preuve : au moindre pépin, incapable d'initiative, il est perdu.) ) 
     (Conclusion : l'algo, lui aussi, fonctionne en restitution, il retourne le savoir du programmeur §/machineAPile/3.png
      (Quand l'ordi exécute un algo, il restitue une méthode, une procédure, un comportement mémorisé, enregistré, reçu, pour effectuer, piloter une procédure.)
      (Conclusion : 'obéissant' est le contraire de 'intelligent'.) ) 
     (Alors vive nous ! En fait, c'est le programmeur qui est intelligent.) ) ) ) ) 
 (L'IA ⊈forte⊉ : au sommet, l'IA ⊈informatique avancée⊉ permet de traiter les problèmes non-algorithmiques
  (Si on échoue à trouver une procédure/méthode systématique pour traiter un pb, alors il est dit non-algorithmique. Il relève du domaine de l'IA.)
  (L'IA est autonome et débrouillarde, mais à condition qu'elle dispose de l'information nécessaire et de la méthode
   (Si on décrit à L'IA l'état du mobilier du monde ⊈les infos⊉ et le fonctionnement des agents et effecteurs ⊈les méthodes⊉ : )
   (Si on lui donne un problème à sésoudre ⊈simulation, planification, piloter un agent situé⊉ alors elle se débrouille.)
   (Dans ce cas, elle fournit un gros travail de traitement des infos
    (Contrairement à l'algo déterministe, elle ne retourne pas directement la solution pre-enregistrée. Indéterministe, elle cherche, calcule.) ) ) 
  (Démarche de représentation du monde : l'IA le regarde et cherche à connaître l'état de son mobilier ⊈support, matières, entités, individus⊉
   (Elle analyse sa perception du monde : d'abord la 'morphologie' sépare les entités. §/morphologiq/a.jpeg)
   (Puis une 'analyse' décrit leurs propriétés et inter-relations. §/mond-EtaDu/ptiCol/3Rsous.png)
   (Ensuite, vient la synthèse du résultat ⊈classification ; raffinement du résultat par déduction⊉ et finalement, sa représentation. §/netSemantiq/3relAft.png) ) 
  (Taxinomie des différents types d'agents situés qui agissent en situation dans leur monde :
   (L'agent réactif : perception, décision, action
    (Au vu de sa perception, son action est instantanée. Elle est codée par des tables ou des règles. §/agent/0reactif/SeekFood.png)
    (Leur aptitude à ⊈se⊉ représenter le monde est presque nulle ⊈marques⊉ ! §/marq/2_FaceStresdCase.bmp
     (Au plus, pour des pb complexes, il marque son milieu. Mais aïe, l'adversité peut effacer ça. Dans ce cas, il se trouve bloqué, c'est l'échec.) ) ) 
   (L'agent intentionnel drapeau transporte dans sa mémoire un modèle du monde sous forme d'états internes binaires. §/flag/fl.png
    (Les premiers agents intentionnels sont très simples : pour enregistrer leur état, chacun monte ou descend seulement un drapeau, un signal.)
    (Alors il devient autonome : quand il mémorist ainsi une info, rien de l'extérieur ne peut interférer en l'effaçant. §/inten°/flag/6.png)
    (Cependant, ces simples états internes permettent déjà de réaliser des traitements récursifs et réentrants, du niveau de l'automate à pile ⊈∫ky3⊉.) ) 
   (L'agent intentionnel simulateur utilise des modèles ⊈des objets du monde et de leur fonctionnement⊉ §/aRC/arc.png
    (Munis de cette représenation plus riche, il simule et imagine le déroulement d'une séquence d'actions afin de vérifier son résultat final. §/simula°/grid/a.png)
    (Dans les pb de planification l'ordi connaît l'état du monde et cherche comment agir pour atteindre un état-but. §/planif/singeBanane.png
     (Pour arriver à cela, il peut faire varier plusieurs démarches différentes : §/planif/profN/vert.png
      (Càd : la composition des actions, l'état initial du mobilier du monde, et le comportements des effecteurs / agents intervenant dans la tactique testée.) ) ) 
    (Dans ce cadre, l'ARC, agent rationnel cognitif est capable de planifier pour mettre au point une tactique qui atteigne son but.)
    (Dans le cadre de l'intelligence = inter legere, l'agent qui effectue un apprentissage, recadre le modèle qu'il se fait d'un agent en simulant son action en situation
     (Intelligence : inter legere, lire entre les lignes. Aptitude à comprendre et connaître les personnes et les êtres.)
     (Il analyse le déroulement de l'action en situation, voit en quoi la réalité diffère du modèle : le déroulement de la séquence peut être gêné, ralenti, bloqué...)
     (Et il conclut afin de pouvoir corriger son modèle là où ce dernier pèche : en affinant son modèle du monde, il apprend.) ) ) ) ) 
 (Conclusion : fonctionnement de l'IA : Comment elle appréhende le monde ? ⊈prehendere=prendre⊉
  (En raisonnant formellement sur des représentations ⊈intentionnelles⊉ l'IA appréhende le monde à l'instar du ferrovipathe.
   (Pour raisonner, tous deux font de la simulation : ils animent un modèle formel de leur monde.
    (Celui de l'informatique, même s'il est abstrait, il n'en est pas moins formel... et il est plus simple, moins cher à mettre en oeuvre.) ) ) 
  (Une information intentionnelle est une représentation du monde :
   (Il consiste en un modèle pertinent de l'état de son mobilier et du fonctionnement de ses effecteurs et agents.) ) 
  (La simulation manipule une représentation du monde en lui faisant subir des transformations qui modélisent les actions des agents
   (Ainsi, si elle procède correctement, le traitement qu'elle exécute représente la réalité et FAIT SENS. §/simula°/synop/a.png
    (Si elle part avec une description juste de l'état initial du monde.)
    (Si elle lui fait subir des transformations qui modélisent fidèlement les actions des agents.)
    (Alors ce process FAIT SENS : il CONSERVE LA SÉMANTIQUE. À l'arrivée, l'IA doit obtenir un calcul correspondant à la réalité. ) ) ) 
  (En IA, la simulation qui fait tourner un modèle n'est pas tout,
   (Mais cette démarche FORMELLE constitue déjà le substrat, le vecteur du raisonnement de l'agent rationnel. §/simula°/synop/compAbstr.png)
   (Puisque la simulation fait sens en préservant la sémantique, une IA qui raisonne sur cette base possède une relative CONSCIENCE du domaine simulé.
    (En effet, si dans une simulation l'agent avance vers un mur, ce n'est pas trop dire que l'IA est capable d'avoir conscience de ce que l'agent va butter contre lui !) ) ) ) ) 