
(Au moyen de Lisp, illustrer le fonctionnement d'un séquenceur
 (On utilise un simulateur constitué de 3 parties : §/systExpert/coeur.png
  (Le moteur de simulation : ici, implémenté en Lisp, un séquenceur pour simuler un jeu de dominos.)
  (Base de règles : le programme, le jeu de règles. §/sncfWst/règles.png)
  (Base de faits : ici, seulement le fait de départ, un simple symbole : 'Paris' ce qui traduit en lisp donne : ⊈va 'Paris⊉.) ) 
 (Utilisation :
  (which lisp : pour trouver le chemin où se trouve l'exécutable ⊈linux⊉.
   (pour savoir où est installé lisp) ) 
  (Lancer l'exécutable : clisp. §/lisp/clispDéb.png) ) 
 (Étudier une session où on simule le déplacement d'un train dans l'ouest de la France :
  (1- Charger le moteur de simulation : ⊈load "10mixtTraUnif-backTrack.lsp"⊉)
  (2 & 3 Charger le lanceur qui contient les règles et les faits : ⊈load "motr0-trajetParisStNazaire_01.lsp"⊉
   (2 charger, affecter la base de règles
    (Càd celle en charge de traiter le programme particulier : §/sncfWst/program.png) ) 
   (3 Charger la liste des faits, càd un fait unique : l'état de départ : ⊈va 'Paris⊉
    (Il lance le traitement en donnant un état du monde au départ : Paris ⊈le train est à Paris⊉ )
    (Ceci lance la simulation : on obtient la session brute suivante : §/sncfWst/trainParisNantesSes°.png) ) ) ) 
 (Le moteur commente l'exécution :
  (Il dit dans quel état est le monde : On part de l'état : PARIS)
  (Il explique quelle règle est appliquée : J'applique la règle : PARIS se réécrit en : CHARTRES.)
  (... Et comment elle change l'état du monde : Le résultat obtenu : CHARTRES.)
  (Globalement, voici le synoptique de tout le traitement : §/sncfWst/synthèGéné.png) ) 
 (Fonctionnement récursif : le backtrack 
  (Définition : si l'agent est bloqué, il revient en arrière sur ses pas, et, là où c'est possible, il repart en avant.)
  (Exemple de backtrack : le problème des 4 reines : 
   (Cohabiter sans se manger entre elles : §/backtrack/pbDes4reines/échec.png)
   (Finalement on obtient ce résultat : §/backtrack/pbDes4reines/1.png) ) 
  (Application à la SNCF : alors on obtient ce parcours récursif : §/backtrack/parcrArb2.png
   (Avec la trace du programme, c'est un peu plus facile à comprendre : §/backtrack/parcrArbAll.png) ) ) ) 