
('∫ky2+' évalué, comparé à '∫ky3+' : on s'intéresse aux versions de ∫ky2et3 tamponnées en entrée/sortie càd étendues vers les agents
 (Lemme : auparavant, introduire la structure de pile : elle sert à représenter & traiter les données / infos in ▪/lifo-structDePile/lifoPr∫owEtProcèsData_09.png)
 (Avant d'aborder ∫ky2, quelques considérations très générales à propos de ∫ky3 :
  (Dans '∫ky3+' qui correspond à ∫ky3 étendu vers les objets, il reste que les états finis² de ∫ky3 constituent un vrai carcan
   (1⊉ - Les états du monde doivent demeurer finis², car on travaille avec un automate... qu'on a doté d'une pile
    (Ici encore, les symboles doivent être de taille donnée en nombre fini, ce qui constitue un vrai carcan.) ) 
   (2⊉ - Avec l'automate fini, tout le travail de codage se fait en rapport avec les états du système : il faut prévoir et traiter tous ceux qui peuvent survenir
    (Alors, quand on introduit des objets sur le support, rapidement les états possibles deviennent nombreux : le codeur croule sous la combinatoire.) ) 
   (3⊉ - '∫ky3+' c'est enrichir l'automate d'une mémoire qu'il peut lire et écrire, pour y répéter N fois la même action ou une séquence de procès afin d'amplifier le résultat obtenu.
    (Ainsi il peut enchaîner des traitements, càd effectuer une séquence de procès : composer N actions successives sur un registre ou le monde extérieur. §/callSP/enrichIns°Sequ.png) ) ) 
  (Ainsi, regardons les conséquences des paragraphes 1, 2 et 3 pour '∫ky3+' :
   (Vu le § 1, on a : Les objets du monde sont peu nombreux, simples, 'unicellulaires',
    (On peut seulement décrire quelques relations entre objets et support : un agent dans le monde, de la nourriture sur la case : l'agent mange. §/sikFood/dix1erPas.png) ) 
   (Vu le § 2, on a : Aspect faible expressivité de ∫ky3, faible puissance de représentation :
    (Mais sa faible expressivité nous permettait seulement de manipuler des 'blocs', des objets élémentaires : §/plateau/pionOnIt.png)
    (Ainsi elle nous empêchait de représenter des entités riches, càd récursifs : composées d'objets assemblés. §/entité/assembleTabl.png) ) 
   (Vu le § 3, on a : Aspect traitement de l'info : ∫ky3 est déjà apte à dérouler une SÉQUENCE de N actions sur des données, ∫ky2 est apte à en composer N.
    (∫ky3 peut exécuter une boucle conditionnelle : En effet, il dispose du branchement conditionnel ⊈càd de l'alternative⊉. §/alternative/a.png
     (Mais il ne peut rien de plus. Il lui manque l'appel de sous-programme qui relève de ∫ky2. §/cycle/Imbriqués/AvanTillEnerg.png) ) ) ) ) 
 ( '∫ky2+' est plus pratique que l'automate à pile car son fonctionnement est plus riche : ainsi, il peut représenter, simuler le monde externe
  ( '∫ky2+' = ∫ky2 + les agents, prolonge ∫ky3 vers 2 directions : 1⊉ - Il peut traiter la récursivité. 2⊉ - son tamponnement permet de représenter le monde)
  (1⊉ En ce qui concerne le traitement des infos et données : ∫ky2 permet les procès séquentiels et récursifs
   (Rappel à propos de ∫ky3 :
    (∫ky3 est déjà apte à composer une séquence de N actions sur des données. §/sikFood/graf/d.png)
    (Mais la rigidité de ses états internes est mal adaptée à représentation N objets sur un plateau : il échoue à représenter ceci : §/plateau/pionOnIt.png) ) 
   (Sur le plateau de ∫ky2, maintenant on peut animer des agents capables d'appeler des sous-programmes :
    (Leur l'activité est structurée : il peuvent exécuter des tâches qui s'expansent en sous-tâches. §/rtr/Ana1phrRelatFranc/JeLookLaMaisonSousLaLune.png)
    (Attention : ∫ky2 peut vérifier la justesse de la syntaxe d'une phrase avec relatives, mais construire l'arbre syntaxique correspondant est ∫ky1 car ça réserve de la mémoire.) ) 
   (De plus ∫ky2 permet aux traitements compositionnels de devenir récursifs
    (∫ky3 permet déjà la composition séquentielle d'actions : un processus peut composer une séquence d'instructions sur un registre. §/callSP/enrichIns°Sequ.png)
    (Déjà ∫ky3 dispose de l'alternative, qui permet de boucler sur un traitement, mais elle n'est pas récursive : §/alternative/a.png
     (Un automate, peut exécuter un code où INITIALEMENT existeraient des boucles imbriquées ⊈une boucle à l'intérieur d'une autre⊉, ce qui traiterait une structure d'arbre donnée.)
     (Mais, pour traiter toutes les structures d'arbres possibles, il ne peut pas, à la volée, càd CONDITIONNELLEMENT, ouvrir une boucle à l'intérieur d'une autre. §/cycle/Imbriqués/tripl.png) ) 
    (Afin de traiter les arbres, càd pour généraliser ces traitements, la solution à ce pb de souplesse est de disposer de l'appel de sous-programme seulement fournit par ∫ky2.)
    (Donc ∫ky2, c'est le domaine de l'automate à pile qui permet l'appel de sous-programmes càd la récursivité : §/rtr/∫éma/1.png
     (Avec sa pile ∫ky2 peut piloter récursivement des traitements, mais il ne peut pas synthétiser un arbre récursif et le retourner car il faudrait allouer de l'espace mémoire  ⊈∫ky1⊉.)
     (Cette dernière permet de traiter toute tâche, ou problème récursif : §/planif/singeBanane.png
      (Par exemple, vérifier une structure récursive, explorer un arbre et même un réseau. Illustration : le parcours d'un arbre. §/backtrack/pilàBcktrk.png) ) ) ) ) 
  (2⊉ L'extention vers les agents qui interface un monde tamponné, fournit une représentation des connaissances puissante car plus souple :
   (Note : implémentation de '∫ky2+' §/agent/00Situé/les2aside.png
    (On ouvre l'ordi vers le monde, en lui ajoutant une interface simulant un support + des entités : dans une version simple, les cases portent les entités du monde.)
    (La structure des entités traitées se complexifie. Ceci augmente la richesse des simulations obtenues. §/agent/30Intn°/groupCoop/foodFinderCallsLes≠.png) ) 
   ('∫ky2+' permet une représentation des connaissances souple, puissante. qui permet de construire :
    (Un monde ensembliste, car le support fonctionne comme un conteneur 2D : on peut, sans difficulté, y multiplier les entités. §/agent/30Intn°/groupCoop/nat/foodFindrCall≠.png)
    (Des entités compositonnelles : car on peut assembler des entités 'pluricellulaires'. §/chaise/assembler.png)
    (Des arbres, càd des objets récursifs, fractals. §/arbre/aBinaire/prof7droit.png)
    (Des entités actives : on peut même aller jusqu'aux agents. §/agent/0réactif/SeekFood.png) ) ) ) 
 (Après avoir présenté ∫ky2, examinons des exemples d'applications induites
  (Note de cadrage : ∫ky2 c'est le domaine des GHC ⊈grammaires hors-contexte⊉ :
   (Elles ne transportent pas de contexte, càd elles n'induisent pas de liaison Var→Val. §/variable/varVal.png)
   (C'est seulement ∫ky1 qui traite les grammaires contextuelles, qui construisent ⊈empilent⊉ un contexte de liaisons Var→Val. §/contxt/txt.png) ) 
  (Fractales : la récursivité pour traiter les fractales : elles sont auto-semblables, càd dessinées récursivement §/mandel/mandStep7.png
   (Définition : une règle de grammaire est récursive quant sa tête se retrouve dans son corps. Ex : <expression> → <expression>+<expression> §/fractal/chou.JPG
    (L'exemple classique de factorielle : fact n ::= n * fact ⊈- n 1⊉ §/lisp/exec/nice1.png)
    (Exemple d'analyse d'une phrase à structure récursive : §/rtr/Ana1phrRelatAngl/theManIsKind.png) ) 
   (Aborder les fractales : un bel exemple : §/fractal/arb/24bit-3.bmp
    (Définition d'un être fractal : il est isomorphe à lui-même, càd qu'il contient en son sein, ce même motif mais en plus petit. §/fractal/△Scale/SierpinskyTriangle.png) ) 
   (En fait, ∫ky2 est muni de l'appel de sous-programme,
    (Ceci lui permet de traiter les problèmes fractals : càd une structure imbriquée & récursive. Ex : parcours d'un arbre. §/parcour/ternaire.png) ) ) 
  (Parsing : Nous avons souvent parlé de la controverse Piager-Chomsky
   (Attention ce traitement est ∫ky1 car il retourne un arbre qu'il a construit. Pour cela il doit allouer dynamiquement de la mémoire. §/parse/c.png)
   (Certains avançaient que l'ordinateur ne pouvait effectuer l'analyse syntaxique d'une phrase. Mais, muni d'un langage récursif, Chomsky a montré comment procéder.) ) ) 
 (∫ky2, aspect codage : pour écrire un appel de sous-programme, il faut effectuer une analyse du pb
  (Analyser une action, une tâche = l'expanser en sous/actions, il faut la décomposer en N sous-tâches. §/callSP/washUp.png)
  (Dans la nature, on trouve beaucoup cette organisation agglomérée, fractale, compositionnelle. §/epistemè/a/chaos.png
   (S'adaptant à l'organisation de la nature : nous aussi faisons une analyse top-down.) ) ) 
 (Conclusion : finalement, souvent l'homme copie la nature. C'est la démarche de la bionique : copier les inventions de la nature
  (Donc l'importance des structures récursives, fractales dans la vie, explique l'importance de la récusivité en informatique. §/logo3D/dual.png) ) ) 