
(Systèmes experts ⊈SE⊉, Moteurs d'inférence d'ordre 1
 (Un motor 1 de système expert, puisqu'il utilise des variables, relève de Chomsky 1 ⊈grammaires contextuelles⊉ §/chomsky/moy.png
  (Note de vocabulaire : il utilise des règles de production ⊈reg de prod⊉
   (Les anciennes règles de réécriture, se compliquent et comportent des variables. Elles sont appelées : règles de production. §/motor1/exA3var/2regHint.png) ) ) 
 (L'utilisation de variables dans un moteur 1 entraine une puissance de représentation plus riche
  (L'état du monde n'est plus seulement représenté par des symboles finis² ⊈symboles ou tableau de symboles⊉, §/sikFood/tab/tab-oldAImpr2.png
   (Mais il est prolongé par des prédicats codant des propriétés Jo⊈petit⊉, inter-relations àCôté⊈Jil,Mur⊉, inter-fonctions pèreDe⊈Jo,Jil⊉.) ) 
  (De plus, comme ces représentations sont nombreuses, pour les organiser, on peut rajouter une couche de connecteurs logiques ⊈ET OU PAS⊉.
   (Ex : PAS⊈lieu⊈Paul, Jardin⊉ : Paul n'est pas dans le pré.)
   (Ex : OU⊈ lieu⊈Paul,Maison⊉, lieu⊈Paul, Jardin⊉⊉ : Paul est soit dans la maison, soit dans le jardin.) ) 
  (Finalement, on manipule des structures de représentation plus riches que le tableau de symboles :
   (Liste simple ou récursive, sac, ensemble, arbre, réseau, graphe, treillis. §/netSemantiq/4objet.png) ) ) 
 (Le synoptique d'application d'une règle de production
  (Globalement, au début, il ressemble à celui d'un moteur 0
   (On retrouve la forme tête de règle → queue de règle. §/motor1/reg.png) ) 
  (Unifier deux termes : les rendre équivalents
   (Mais apparaît un changement : le test des conditions de déclenchement d'une règle devient l'opération d'unification de 2 structures
    (Puisqu'on ne manipule plus des symboles finis², mais des listes parfois récursives, les tests conditionnels sont remplacés par une opération d'UNIFICATION de deux arbres. §/unifie/ex.png) ) 
   (Ce procès s' effectue en 3 traitements consécutifs :
    (1⊉ Liaison des variables : ainsi on peut lier des structures riches entre elles : liste, arbre... §/deriv/regXpansiv.png)
    (2⊉ Création d'un environnement, c'est à dire d'une liste d'instanciation ⊈de liaisons variables→valeurs⊉. §/unifie/ex.png)
    (3⊉ La propagation de cet environnement se fait d'abord au sein de la tête de règles, afin de l'unifier avec l'état du monde. §/unifie/ex.png) ) ) 
  (Calcul de l'état d'arrivée au moyen de la queue de règle. §/motor1/env.png
   (La propagation dans la queue de règle, de l'environnement d'unification, permet de calculer l'état d'arrivée : le nouvel état du monde. §/motor1/exA3var/5propQueu.png) ) 
  (Ajoût de commentaires
   (Si les règles sont commentées, le système peut énoncer l'explication ⊈càd le texte obtenu⊉ :
    (Ainsi il commente l'action effectuée en la paraphrasant. §/motor1/exA1var/6propHint.png) ) 
   (Note : ce processus fonctionne bien avec les variables d'un moteur 1 car il se sert des pronoms du contexte ⊈des variables de l'environnement⊉.) ) ) 
 (Présenter un exemple entier d'une application de règle
  (Voici un exemple de règle brut ⊈simple⊉. §/motor1/exA3var/1regBrut.png)
  (Voici la même règle, enrichie d'un commentaire. §/motor1/exA3var/2regHint.png)
  (Maintenant, la voici en situation dans le monde : en haut du dessin on trouve un modèle du monde. §/motor1/exA3var/3avant.png)
  (L'unification rend la tête de règle égale à l'état du monde, ce qui génère un env. §/motor1/exA3var/4unifie.png)
  (La propagation de l'env dans la queue de règle nous fournit l'état du monde à l'arrivée. §/motor1/exA3var/5propQueu.png)
  (En propageant l'env dans le commentaire, nous obtenons une description circonstancée de l'action effectuée. §/motor1/exA3var/6propHint.png) ) 
 (Épistémologie : selon mon point de vue, dans ces commentaires, je vois un proto "langage de la pensée", du mentalais, de Jerry Fodor
  (Mais, je m'oppose à ceux qui pensent que, dans le processus de la pensée, le mentalais est à la base, càd guide le traitement de l'information.)
  (Je pense plutôt que, comme ici dans le processus d'unification :
   ( - Le traitement de l'info est dirigé par des propriétés formelles, structurelles des représentations de base.)
   ( - Et qu'ensuite vient un procès de verbalisation, qui commente les actions et ainsi, produit le langage.) ) 
  (Quelques considérations qui étayent ce point de vue
   (Si je planifie une tâche, je vois en pensée la séquence d'actions à exécuter.
    (Je peux très bien l'exécuter, càd, en silence la simuler par la pensée, sans en être gêné : )
    (Je n'ai pas besoin de mots ⊈du langage de la pensée⊉ pour planifier une action et l'exécuter.)
    (Ce n'est que si on me demande de verbaliser que je le ferai.) ) 
   (D'ailleurs, les animaux sont capables de planifier une action... sans pour autant être capables de parler !) ) ) 
 (Note de vocabulaire :
  (Moteur en chaînage avant
   (Comme avec le moteur 0 muni de règles de réécriture, le moteur enrichit la description du monde, par couches concentriques. §/structOignon/ttLeProces.png)
   (On nomme ce synoptique de fonctionnement : moteur en chaînage avant.) ) ) ) 